# Competitors

### Fields

| Field            | Type                                                                     | Description                             |
| ---------------- | ------------------------------------------------------------------------ | --------------------------------------- |
| companyType      | [CompanyTypeEnum](/company-data-api/graphql-enums/company-type-enum.md)  | Company type of competitor              |
| displayName      | String                                                                   | Name of competitor                      |
| id               | ID                                                                       | Internal Craft company ID of competitor |
| logo             | [Image](/company-data-api/graphql-objects/image-object.md)               | Logo of competitor                      |
| shortDescription | String                                                                   | Short description of competitor         |
| slug             | String                                                                   | Company slug of competitor              |
| tags             | \[[Tag](/company-data-api/data-points/basic-company-information/tag.md)] | The list of tags for competitor         |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        competitors {
            displayName
            logo {
                url
            }
            shortDescription
            slug
            tags {
                name
            }
        }
    }
}

# variables
{ "domain": "stripe.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/operating-data/competitor-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
